Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.media

# Annotation Type Content

@Target({}) @Retention(RUNTIME) @Inherited public @interface Content
This object provides schema and examples for a particular media type.

See Also:
  - OpenAPI Specification Media Type Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Encoding[]`
`encoding`
An array of encoding corresponding to a map of property name and its encoding information in MediaType model.
`String`
`example`
A free-form property to include an example of an instance for this content.
`ExampleObject[]`
`examples`
An array of examples used to show the use of the associated schema.
`Extension[]`
`extensions`
List of extensions to be added to the `MediaType` model corresponding to the containing annotation.
`String`
`mediaType`
The media type that this object applies to.
`Schema`
`schema`
The schema defining the type used for the request body.

## Element Details

### mediaType

String mediaType
The media type that this object applies to.

Returns:
  the media type value

Default:
  ""

### examples

ExampleObject[] examples
An array of examples used to show the use of the associated schema.

Returns:
  the list of examples

Default:
  {}

### example

String example
A free-form property to include an example of an instance for this content.

Returns:
  an example of this content

Default:
  ""

### schema

Schema schema
The schema defining the type used for the request body.

Returns:
  the schema of this media type

Default:
  @org.eclipse.microprofile.openapi.annotations.media.Schema

### encoding

Encoding[] encoding
An array of encoding corresponding to a map of property name and its encoding information in MediaType model. The key, being the property name, MUST exist in the schema as a property.

The encoding object SHALL only apply to requestBody objects when the media type is multipart or application/x-www-form-urlencoded.

Returns:
  the array of encodings

Default:
  {}

### extensions

Extension[] extensions
List of extensions to be added to the `MediaType` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}